# Kubernetes::Object::V1beta1CertificateSigningRequestCondition

## Load the model package
```perl
use Kubernetes::Object::V1beta1CertificateSigningRequestCondition;
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**last_update_time** | **DateTime** | timestamp for the last update to this condition | [optional] 
**message** | **string** | human readable message with details about the request state | [optional] 
**reason** | **string** | brief reason for the request state | [optional] 
**type** | **string** | request approval state, currently Approved or Denied. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


